package adminkindboxreqhandler

import (
	param "git.gocasts.ir/ebhomengo/niki/param/admin/kind_box_req"
	httpmsg "git.gocasts.ir/ebhomengo/niki/pkg/http_msg"
	echo "github.com/labstack/echo/v4"
	"net/http"
)

// GetAll godoc
// @Summary      Admin get all kindboxreq
// @Tags         KindBoxReq
// @Accept       json
// @Produce      json
// @Param 		 page_number query int false "page_number"
// @Param 		 page_size query int false "page_size"
// @Success      200  {object}  param.KindBoxReqGetAllResponse
// @Failure      400  {string}  "Bad request"
// @Security 	 AuthBearerAdmin
// @Router       /admin/kindboxreqs [get].
func (h Handler) GetAll(c echo.Context) error {
	var req param.KindBoxReqGetAllRequest
	if bErr := c.Bind(&req); bErr != nil {
		return echo.NewHTTPError(http.StatusBadRequest)
	}
	resp, sErr := h.adminKindBoxReqSvc.GetAll(c.Request().Context(), req)
	if sErr != nil {
		msg, code := httpmsg.Error(sErr)

		return echo.NewHTTPError(code, msg)
	}

	return c.JSON(http.StatusOK, resp)
}
